---
search:
  tags:
    - V1
    - PATCH
seo:
  description: >-
    Update an attribute mapper config's name, rules,… Reference for the PATCH
    /v1/projects/{projectId}/attribute-mappers/{configId} endpoint in the
    Judgeval API.
sidebar:
  label: Update attribute mapper
  badge: PATCH
title: Update attribute mapper
type: openapi-operation
---
Update an attribute mapper config's name, rules, or flags. Requires the developer role.

`PATCH /v1/projects/{projectId}/attribute-mappers/{configId}`

**Request body** (`application/json`, required)

- `name` (string)
- `rules` (object[])
- `enabled` (boolean)
- `override` (boolean)
- `remove_source` (boolean)

Request body example:

```json
{
  "name": "string",
  "rules": [
    {
      "source_key": "string",
      "target_key": "string"
    }
  ],
  "enabled": true,
  "override": true,
  "remove_source": true
}
```

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "mapper": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "name": "string",
    "enabled": true,
    "override": true,
    "remove_source": true,
    "rules": [
      {
        "source_key": "string",
        "target_key": "string"
      }
    ],
    "created_at": "string",
    "updated_at": "string"
  }
}
```
